All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.form
Class BaseFormElementBodyTag

    com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  CheckBoxListTag, CheckBoxTag, ChoiceBoxTag, ComboBoxViewTag, HiddenTag, ImageTag, ListBoxTag, ListBoxViewTag, PasswordTag, PushButtonTag, RadioTag, TextAreaTag, TextEntryTag

    public class BaseFormElementBodyTag

BaseFormBodyTag is used for setting attributes on Form elements to make components more accessible.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `accessKey` Properties for form element tags.
`java.lang.String` | `onBlur` Properties for form element tags.
`java.lang.String` | `onChange` Properties for form element tags.
`java.lang.String` | `onClick` Properties for form element tags.
`java.lang.String` | `onDblClick` Properties for form element tags.
`java.lang.String` | `onFocus` Properties for form element tags.
`java.lang.String` | `onKeyDown` Properties for form element tags.
`java.lang.String` | `onKeyPress` Properties for form element tags.
`java.lang.String` | `onKeyUp` Properties for form element tags.
`java.lang.String` | `onMouseDown` Properties for form element tags.
`java.lang.String` | `onMouseMove` Properties for form element tags.
`java.lang.String` | `onMouseOut` Properties for form element tags.
`java.lang.String` | `onMouseOver` Properties for form element tags.
`java.lang.String` | `onMouseUp` Properties for form element tags.
`java.lang.String` | `onSelect` Properties for form element tags.
`java.lang.String` | `styleClassPrefix` Properties for form element tags.
`java.lang.String` | `tabIndex` Properties for form element tags.

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`BaseFormElementBodyTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying object.
`java.lang.String` | `getAccessKey()` Returns the accessKey property (String) of Form controls.
`java.lang.String` | `getOnBlur()` Returns the onBlur property (String) of the Form control.
`java.lang.String` | `getOnChange()` Returns the onChange property (String) of the Form control.
`java.lang.String` | `getOnClick()` Gets the onClick value
`java.lang.String` | `getOnDblClick()` Gets the onDblClick value
`java.lang.String` | `getOnFocus()` Returns the onFocus property (String) of the Form control.
`java.lang.String` | `getOnKeyDown()` Gets the onKeyDown value
`java.lang.String` | `getOnKeyPress()` Gets the onKeyPress value
`java.lang.String` | `getOnKeyUp()` Gets the onKeyUp value
`java.lang.String` | `getOnMouseDown()` Gets the onMouseDown value
`java.lang.String` | `getOnMouseMove()` Gets the onMouseMove value.
`java.lang.String` | `getOnMouseOut()` Returns the onMouseOut property (String) of the Form control.
`java.lang.String` | `getOnMouseOver()` Returns the onMouseOver property (String) of the Form control.
`java.lang.String` | `getOnMouseUp()` Gets the onMouseUp value
`java.lang.String` | `getOnSelect()` Gets the onSelect value.
`java.lang.String` | `getStyleClassPrefix()` Gets the styleClassPrefix value.
`java.lang.String` | `getTabIndex()` Returns the tabIndex property (String) of the Form control.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`boolean` | `isEnabled()` Returns the enabled state of the form element.
`void` | `setAccessKey(java.lang.String accesskey)` Sets the accessKey property (String) of Form controls.
`void` | `setEnabled(boolean enabled)` Sets the enable state of the form element
`void` | `setOnBlur(java.lang.String onblur)` Sets the onBlur event handler (String) of Form controls.
`void` | `setOnChange(java.lang.String onchange)` Sets the onChange event handler (String) of Form controls.
`void` | `setOnClick(java.lang.String value)` Sets the onClick event value
`void` | `setOnDblClick(java.lang.String value)` Sets the onDblClick event value
`void` | `setOnFocus(java.lang.String onfocus)` Sets the onFocus event handler (String) of Form controls.
`void` | `setOnKeyDown(java.lang.String value)` Sets the onKeyDown event value
`void` | `setOnKeyPress(java.lang.String value)` Sets the onKeyPress event value
`void` | `setOnKeyUp(java.lang.String value)` Sets the onKeyUp event value
`void` | `setOnMouseDown(java.lang.String value)` Sets the onMouseDown event value
`void` | `setOnMouseMove(java.lang.String value)` Sets the onMouseMove event value.
`void` | `setOnMouseOut(java.lang.String onmouseout)` Sets the onMouseOut event handler (String) of Form controls.
`void` | `setOnMouseOver(java.lang.String onmouseover)` Sets the onMouseOver event handler (String) of Form controls.
`void` | `setOnMouseUp(java.lang.String value)` Sets the onMouseUp event value
`void` | `setOnSelect(java.lang.String value)` Sets the onSelect event.
`void` | `setStyleClassPrefix(java.lang.String value)` Sets the styleClassPrefix attribute.
`void` | `setTabIndex(java.lang.String tabindex)` Sets the tabIndex property (String) of Form controls.

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`doEndTag, doStartTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Field Detail

### accessKey

    public java.lang.String accessKey

  Properties for form element tags.

### tabIndex

    public java.lang.String tabIndex

  Properties for form element tags.

### onBlur

    public java.lang.String onBlur

  Properties for form element tags.

### onChange

    public java.lang.String onChange

  Properties for form element tags.

### onClick

    public java.lang.String onClick

  Properties for form element tags.

### onDblClick

    public java.lang.String onDblClick

  Properties for form element tags.

### onFocus

    public java.lang.String onFocus

  Properties for form element tags.

### onMouseOut

    public java.lang.String onMouseOut

  Properties for form element tags.

### onMouseOver

    public java.lang.String onMouseOver

  Properties for form element tags.

### onMouseDown

    public java.lang.String onMouseDown

  Properties for form element tags.

### onMouseUp

    public java.lang.String onMouseUp

  Properties for form element tags.

### onMouseMove

    public java.lang.String onMouseMove

  Properties for form element tags.

### onKeyDown

    public java.lang.String onKeyDown

  Properties for form element tags.

### onKeyUp

    public java.lang.String onKeyUp

  Properties for form element tags.

### onKeyPress

    public java.lang.String onKeyPress

  Properties for form element tags.

### onSelect

    public java.lang.String onSelect

  Properties for form element tags.

### styleClassPrefix

    public java.lang.String styleClassPrefix

  Properties for form element tags.

Constructor Detail

### BaseFormElementBodyTag

    public BaseFormElementBodyTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setAccessKey

    public void setAccessKey(java.lang.String accesskey)

  Sets the accessKey property (String) of Form controls.

  Parameters:
    `accesskey` - The shortcut to apply to the Form control.

### getAccessKey

    public java.lang.String getAccessKey()

  Returns the accessKey property (String) of Form controls.

  Returns:
    The accessKey value

### setTabIndex

    public void setTabIndex(java.lang.String tabindex)

  Sets the tabIndex property (String) of Form controls.

  Parameters:
    `tabindex` - The tabindex to apply to the Form control.

### getTabIndex

    public java.lang.String getTabIndex()

  Returns the tabIndex property (String) of the Form control.

  Returns:
    Teh tabIndex value

### setOnBlur

    public void setOnBlur(java.lang.String onblur)

  Sets the onBlur event handler (String) of Form controls.

  Parameters:
    `onblur` - The onBlur event handler to apply to the Form control.

### getOnBlur

    public java.lang.String getOnBlur()

  Returns the onBlur property (String) of the Form control.

  Returns:
    The onBlur value

### setOnChange

    public void setOnChange(java.lang.String onchange)

  Sets the onChange event handler (String) of Form controls.

  Parameters:
    `onchange` - The onChange event handler to apply to the Form control.

### getOnChange

    public java.lang.String getOnChange()

  Returns the onChange property (String) of the Form control.

  Returns:
    The onChange value

### setOnClick

    public void setOnClick(java.lang.String value)

  Sets the onClick event value

  Parameters:
    `value` - The onClick

### getOnClick

    public java.lang.String getOnClick()

  Gets the onClick value

  Returns:
    The onClick value

### setOnDblClick

    public void setOnDblClick(java.lang.String value)

  Sets the onDblClick event value

  Parameters:
    `value` - The onDblClick

### getOnDblClick

    public java.lang.String getOnDblClick()

  Gets the onDblClick value

  Returns:
    The onDblClick value

### setOnFocus

    public void setOnFocus(java.lang.String onfocus)

  Sets the onFocus event handler (String) of Form controls.

  Parameters:
    `onfocus` - The onFocus event handler to apply to the Form control.

### getOnFocus

    public java.lang.String getOnFocus()

  Returns the onFocus property (String) of the Form control.

  Returns:
    The onFocus value

### setOnMouseOut

    public void setOnMouseOut(java.lang.String onmouseout)

  Sets the onMouseOut event handler (String) of Form controls.

  Parameters:
    `onmouseout` - The onMouseOut event handler to apply to the Form control.

### getOnMouseOut

    public java.lang.String getOnMouseOut()

  Returns the onMouseOut property (String) of the Form control.

  Returns:
    The onMouseOut value

### setOnMouseOver

    public void setOnMouseOver(java.lang.String onmouseover)

  Sets the onMouseOver event handler (String) of Form controls.

  Parameters:
    `onmouseover` - The onMouseOver event handler to apply to the Form control.

### getOnMouseOver

    public java.lang.String getOnMouseOver()

  Returns the onMouseOver property (String) of the Form control.

  Returns:
    The onMouseOver value

### setOnMouseDown

    public void setOnMouseDown(java.lang.String value)

  Sets the onMouseDown event value

  Parameters:
    `value` - The onMouseDown

### getOnMouseDown

    public java.lang.String getOnMouseDown()

  Gets the onMouseDown value

  Returns:
    The onMouseDown value

### setOnMouseUp

    public void setOnMouseUp(java.lang.String value)

  Sets the onMouseUp event value

  Parameters:
    `value` - The onMouseUp

### getOnMouseUp

    public java.lang.String getOnMouseUp()

  Gets the onMouseUp value

  Returns:
    The onMouseUp value

### setOnMouseMove

    public void setOnMouseMove(java.lang.String value)

  Sets the onMouseMove event value.

  Parameters:
    `value` - The onMouseMove value

### getOnMouseMove

    public java.lang.String getOnMouseMove()

  Gets the onMouseMove value.

  Returns:
    onMouseMove value The onMouseMove

### setOnKeyDown

    public void setOnKeyDown(java.lang.String value)

  Sets the onKeyDown event value

  Parameters:
    `value` - The onKeyDown

### getOnKeyDown

    public java.lang.String getOnKeyDown()

  Gets the onKeyDown value

  Returns:
    The onKeyDown value

### setOnKeyPress

    public void setOnKeyPress(java.lang.String value)

  Sets the onKeyPress event value

  Parameters:
    `value` - The onKeyPress

### getOnKeyPress

    public java.lang.String getOnKeyPress()

  Gets the onKeyPress value

  Returns:
    The onKeyPress value

### setOnKeyUp

    public void setOnKeyUp(java.lang.String value)

  Sets the onKeyUp event value

  Parameters:
    `value` - The onKeyUp

### getOnKeyUp

    public java.lang.String getOnKeyUp()

  Gets the onKeyUp value

  Returns:
    The onKeyUp value

### setOnSelect

    public void setOnSelect(java.lang.String value)

  Sets the onSelect event.

  Parameters:
    `value` - The onSelect

### getOnSelect

    public java.lang.String getOnSelect()

  Gets the onSelect value.

  Returns:
    The onSelect value

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String value)

  Sets the styleClassPrefix attribute.

  Parameters:
    `value` - The styleClassPrefix

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  Gets the styleClassPrefix value.

  Returns:
    The styleClassPrefix value

### isEnabled

    public boolean isEnabled()

  Returns the enabled state of the form element.

  Returns:
    the enabled state of the form element - true means enabled
  See Also:
    `setEnabled(boolean)`

### setEnabled

    public void setEnabled(boolean enabled)

  Sets the enable state of the form element

  Parameters:
    `enable` - state of the form element
  See Also:
    `isEnabled()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying object.

  Overrides:
    `applyAttributes` in class `BaseTransformationBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.